// function getWaters(venueID) {
//     $.ajax({
//         url: `/venues/get-waters/${venueID}`,
//         type: "GET",
//         "dataType": "json",
//         success: function (data) {
//             alert(JSON.stringify(data));
//         },
//         error: function (error) {
//             alert("error: " + error);
//         }
//     });
// }

var scriptData = document.currentScript.dataset;

function openVenueModal(venue_id) {
    $("#venueModal").data("venue-id", venue_id);


    if (venue_id == -1) {
        $("#venueModal .edit").hide();
        $("#venueModal .create").show();

        $("#venueName").val("");
        $("#venueDescription").val("");
        $("#venueType").val("FISHERY").change();

        $("#venueStreetAddress").val("");
        $("#venueCity").val("");
        $("#venueProvence").val("");
        $("#venuePostCode").val("")
        $("#venueCountry").val("")

        $("#venuePhone").val("");
        $("#venueEmail").val("");
        $("#venueWebsite").val("");

        $("#venueTwitter").val("");
        $("#venueFacebook").val("");
        $("#venueInstagram").val("");
    }
    else {
        $("#venueModal .edit").show();
        $("#venueModal .create").hide();

        $.ajax({
            url: `/venues/api/${venue_id}`,
            method: 'get',
            dataType: 'json',
            success: function(response) {
                const venue = response.data;

                $("#venueName").val(venue.name);
                $("#venueDescription").val(venue.description);
                $("#venueType").val(venue.venue_type).change();

                $("#venueStreetAddress").val(venue.street_address);
                $("#venueCity").val(venue.city);
                $("#venueProvence").val(venue.provence);
                $("#venuePostCode").val(venue.postal_code);
                $("#venueCountry").val(venue.country);

                $("#venuePhone").val(venue.phone_number);
                $("#venueEmail").val(venue.email_address);
                $("#venueWebsite").val(venue.website_url);

                $("#venueTwitter").val(venue.twitter_url);
                $("#venueFacebook").val(venue.facebook_url);
                $("#venueInstagram").val(venue.instagram_url);
            },
            error: function(error) {
                alert("error: " + JSON.stringify(error));
            }
        });
    }

    new bootstrap.Modal("#venueModal").show();
}

function saveVenue() {
    var data = {
        name: $("#venueName").val(),
        description: $("#venueDescription").val(),
        extra_notes: "* placeholder *",
        venue_type: $("#venueType").val(),

        street_address: $("#venueStreetAddress").val(),
        city: $("#venueCity").val(),
        provence: $("#venueProvence").val(),
        postal_code: $("#venuePostCode").val(),
        country: $("#venueCountry").val(),

        phone_number: $("#venuePhone").val(),
        email_address: $("#venueEmail").val(),
        website_url: $("#venueWebsite").val(),

        twitter_url: $("#venueTwitter").val(),
        facebook_url: $("#venueFacebook").val(),
        instagram_url: $("#venueInstagram").val(),

        csrfmiddlewaretoken: scriptData.csrfmiddlewaretoken,
    }

    const venue_id = $("#venueModal").data("venue-id");
    data.id = venue_id > -1 ? venue_id : null;

    $.ajax({
        url: `/venues/api/create`,
        method: 'post',
        dataType: 'json',
        data: data,
        success: function(response) {
            alert("created, reload page please");
        },
        error: function(error) {
            alert("error: " + JSON.stringify(error));
        }
    });
}